Subject: Re: bug#8314: 24.0.50; emacsclient -c does the wrong thing when compiled without X

From: Glenn Morris <[email-masked]>
Date: Tue, 28 Jun 2011 20:16:57 -0400

Stefan Monnier wrote:

> Whatever we do, we should do it in server.el, not in emacsclient.c.

Not trivially doable, since emacsclient.c is the one that figures out
the tty name and type (when needed; find_tty) and passes them to the
server. emacsclient.c would have to be modified to pass this info in all
cases (except --eval?), and some new tty-flag added to distinguish
between "tty requested" and "tty to be used as fallback if Emacs
compiled without X" (since -tty on its own would no longer be enough).